{{ $currentPage := . }}

<header>
	<nav class="navbar navbar-expand-lg navbar-light bg-light shadow">
		<div class="container-fluid">
			<a class="navbar-brand" href="/">
				<img id="logo" src="/img/black_notext_0.5x.png" width="30" height="26" alt="" class="d-inline-block align-text-top">Serpent OS
			</a>

			<!-- Collapse button -->
			<button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#primaryMenu" aria-controls="primaryMenu" aria-expanded="false" aria-label="Toggle navigation">
				<span class="navbar-toggler-icon"></span>
			</button>

			<!-- Collapsible content -->
			<div class="collapse navbar-collapse" id="primaryMenu">

				<!-- Primary nav links -->
				<ul class="navbar-nav me-auto">
					{{ range .Site.Menus.main }}
						{{ $active := false }}
						{{ if ne .URL "/" }}
							{{ if hasPrefix $currentPage.RelPermalink .URL}}
								{{ $active = true }}
							{{ end }}
						{{ else }}
							{{ if eq .URL $currentPage.RelPermalink }}
								{{ $active = true }}
							{{ end }}
						{{ end }}

						<li class="nav-item{{ if .HasChildren }} dropdown{{end}}">
							{{ if .HasChildren }}
							<a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-bs-toggle="dropdown" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
								{{ .Name }}
							</a>
							<div class="dropdown-menu" aria-labelledby="navbarDropdown">
								{{ range .Children }}
									<a href="{{ .URL }}" class="dropdown-item">
										{{ .Pre }}
										{{ .Name }}
									</a>
								{{ end }}
							</div>
							{{ else }}
								<a href="{{ .URL }}" class="nav-link {{if $active }} active{{end}}">
									{{ .Pre }}
									{{ .Name }}
								</a>
							{{ end }}
						</li>
					{{ end }}
				</ul>

				<!-- Social links //-->
				<ul class="navbar-nav mr-auto nav-flex-icons">
					{{ range .Site.Menus.social }}
						<li class="nav-item">
							<a class="nav-link" alt="{{.Name}}" title="{{.Name|title}}" {{ printf "href=%q" .URL | safeHTMLAttr }}>
							{{ .Pre }}
							</a>
						</li>
					{{ end }}
					<!-- force some margin so we can add float icon to initially look inline -->
					<li class="mx-3">&nbsp;</li>
				</ul>
			</div>
		</div>
		<a class="btn float" onclick="dark()" title="Theme: Dark (Browser preferences|Session override)">
			<i id="dark-mode-icon" class="fas fa-moon"></i>
		</a>
	</nav>
</header>
